For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
      • POSTUpload feedback
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Account Defender APIFeedback

Upload feedback

POST
/v1/account_defender/account/update_status
POST
/api/v1/account_defender/account/update_status
$curl -X POST https://console.humansecurity.com/api/v1/account_defender/account/update_status \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "accountIds": [
> "accountId1",
> "accountId2"
> ],
> "attackType": "fa",
> "status": "resolved",
> "result": "no_attack"
>}'
1{}

Define automated user status updates, resolve true positive or false positive cases, and create new incident (false negative) cases while adding your own comments.

Was this page helpful?
Previous

Get custom rules

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
accountIdslist of stringsRequired
attackTypeenumRequired

The attack type, where fa is a fake account attack and ato is an account takeover attack.

Allowed values:
statusenumRequired
The status of the attack.
Allowed values:
resultenumOptional

The resolution of the attack. Required when the status is set to resolved. The result definitions are:

  • no_attack: False positive
  • resolved: True positive
  • manually_identified_and_resolved: False negative, where the account has an incident in the Resolved tab in the portal until it is archived (14 days after creation)
  • manually_identified: False negative, where the account has an incident in the Pending tab in the portal until it is archived (14 days after creation)
Allowed values:
commentstringOptional
Free text

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error